%if 0%{?rhel} && 0%{?rhel} <= 6
%global python python27
%global tk27 tkinter27
%else
%global python python
%global tk27 tkinter
%endif

%global pypi_name packaging
%global __sum Core utilities for Python packages
%global __desc python-packaging provides core utilities for Python packages like utilities for dealing with versions, specifiers, markers etc.

Name:           %{python}-%{pypi_name}
Version:        16.8
Release:        2%{?dist}
Summary:        %{__sum}

Group:          Development/Languages
License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}/
Source0:        https://pypi.io/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

Provides:       %{python}-%{pypi_name} = %{version}-%{release}

Requires:       %{python}-six
Requires:       %{python}-pyparsing

BuildRequires:  %{python}-devel
BuildRequires:  python36-devel

%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  python-sphinx10
%else
BuildRequires:  python-sphinx
%endif


%description
%{__desc}

This is the Python 2 build of the module.


%package -n python36-%{pypi_name}
Summary:        %{__sum}
Group:          Development/Languages
Requires:       python36-six
Requires:       python36-pyparsing

%description -n python36-%{pypi_name}
%{__desc}

This is the Python 3 build of the module.


%package -n %{python}-%{pypi_name}-doc
Summary:        python-packaging documentation
%description -n %{python}-%{pypi_name}-doc
Documentation for python-packaging


%prep
%setup -q -n %{pypi_name}-%{version}


%build
%py36_build
%py27_build
%if 0%{?rhel} && 0%{?rhel} <= 6
sphinx-1.0-build docs html
%else
sphinx-build docs html
%endif


%install
%py36_install
%py27_install


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE LICENSE.APACHE LICENSE.BSD
%doc README.rst CHANGELOG.rst CONTRIBUTING.rst
%{python27_sitelib}/*


%files -n python36-%{pypi_name}
%{!?_licensedir:%global license %%doc}
%license LICENSE LICENSE.APACHE LICENSE.BSD
%doc README.rst CHANGELOG.rst CONTRIBUTING.rst
%{python36_sitelib}/*


%files -n %{python}-%{pypi_name}-doc
%doc html
%license LICENSE LICENSE.APACHE LICENSE.BSD

%changelog

